function flag = isempty(this,query)

switch query
    case 'tunes'
        flag = nnz(this.xanchors) == 0 ...
            || nnz(this.nanchorsreal) + nnz(this.nanchorsimag) == 0;
    case 'cond'
        flag = nnz(this.canchors) == 0;
    case 'nonlin'
        flag = nnz(this.qanchors) == 0;
    case 'range'
        flag = isempty(this.startdate) || isempty(this.enddate);
end

end